changeset 12238:f1ca3ae7ff7c release-3-4-x

autogen.sh: check for required files instead of having automake do it
author John W. Eaton <jwe@octave.org>
date Tue, 25 Jan 2011 04:31:33 -0500
parents 5356c44ecede
children 2b733fb8498c
files ChangeLog autogen.sh
diffstat 2 files changed, 22 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Tue Jan 25 10:30:03 2011 +0100
+++ b/ChangeLog	Tue Jan 25 04:31:33 2011 -0500
@@ -1,3 +1,8 @@
+2011-01-25  John W. Eaton  <jwe@octave.org>
+
+	* autogen.sh (AUTOMAKE): Add --foreign to the automake command.
+	Check for required GNU files here instead of having automake do it.
+
 2011-01-25  John W. Eaton  <jwe@octave.org>
 
 	* Makefile.am (EXTRA_DIST): Remove ROADMAP from the list.
--- a/autogen.sh	Tue Jan 25 10:30:03 2011 +0100
+++ b/autogen.sh	Tue Jan 25 04:31:33 2011 -0500
@@ -4,7 +4,23 @@
 
 set -e
 
-AUTOMAKE="automake --warnings=no-portability"
+## Use --foreign since we auto-generate the AUTHORS file and the default
+## --gnu strictness level doesn't like it if the AUTHORS file is missing.
+
+AUTOMAKE="automake --foreign --warnings=no-portability"
+export AUTOMAKE
+
+## Check for files that automake --gnu would normally look for, except
+## AUTHORS, which we autogenerate from the documentation files along with
+## building the rest of Octave, and INSTALL, which is linked from
+## gnulib/doc/INSTALL by the bootstrap script.
+
+for f in NEWS README ChangeLog COPYING; do
+  if ! test -f $f; then
+    echo "required file $f is missing" 2>&1
+    exit 1
+  fi
+done
 
 echo "generating source lists for liboctave/Makefile..."